Using mongrel_rails: Can't install Redmine as win2003 service

Added by Anton Andriyevskyy about 11 years ago

Hello everyone.

After stugging 3+ hours installing redmine I got success but still
can't install redmine as service (windows 2003).

So here is my problem. I successfully installed redmine and mapped it
to mysql, created database and initialized it with default values.
Last thing I'm trying to do is to install it as service on windows
2003, and for this I'm running in cmd mode this instruction:

mongrel_rails service::install -N Redmine -c [your redmine folder] -p
[portno] -e production

and I get this error:
C:/ruby/lib/ruby/gems/1.8/gems/win32-service-0.7.0-x86-mswin32-60/lib/
win32/service.rb:282:in `initialize': no options provided
(ArgumentError)

When I try without params:
mongrel_rails service::install
... it just says that name (-N) is obligatory.

But when I try with name only (-N), I get the same error.

Any help appreciated.

Thanks,
Anton

Replies (9)

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by Anton Andriyevskyy about 11 years ago

And here is detailed output:

C:\ruby\apps\redmine>mongrel_rails service::install -N RedmineMeglio -c C:\ruby\
apps\redmine -p 8666 -e meglio
C:/ruby/lib/ruby/gems/1.8/gems/win32-service-0.7.0-x86-mswin32-60/lib/win32/serv
ice.rb:282:in `initialize': no options provided (ArgumentError)
from C:/ruby/lib/ruby/gems/1.8/gems/mongrel_service-0.1/lib/mongrel_serv
ice/init.rb:115:in `new'
from C:/ruby/lib/ruby/gems/1.8/gems/mongrel_service-0.1/lib/mongrel_serv
ice/init.rb:115:in `run'
from C:/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../
lib/mongrel/command.rb:212:in `run'
from C:/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/mon
grel_rails:281
from C:/ruby/bin/mongrel_rails:19:in `load'
from C:/ruby/bin/mongrel_rails:19

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by jessie wang about 11 years ago

ruby version:ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32]
rails-2.3.4
mongrel-1.1.5-x86-mswin32-60
mongrel_service-0.1

*why?*I also met with the problem:

D:\QPMS\PHPnow\htdocs\redmine>mongrel_rails service::install N RedMine -c D:\QP
MS\PHPnow\htdocs\redmine -p 80 –e production
D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem
_original_require': no such file to load -
win32/service (LoadError)

from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `require'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel_service-0.1/lib/
mongrel_service/init.rb:5
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `gem_original_require'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `require'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/gem_plugin-0.2.3/lib/gem
_plugin.rb:134:in `load'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb
:241:in `each'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb
:241:in `each'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/gem_plugin-0.2.3/lib/gem
_plugin.rb:112:in `load'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin3
2-60/bin/mongrel_rails:278
from D:/QPMS/PHPnow/ruby/bin/mongrel_rails:19:in `load'
from D:/QPMS/PHPnow/ruby/bin/mongrel_rails:19

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by jessie wang about 11 years ago

at the last month, I can use the mongrel_service add the redmine service in windows XP, but now I cann't.
The changful gems' site maybe result to the issue. (from http://gems.rubyforge.org/ to http://gemcutter.org/)

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by jessie wang about 11 years ago

now I try again. The http://gems.rubyforge.org/ can be accessed and I uninstall mongrel_service gem and install mongrel gam again, but the issue same as Anton's.
It's better that we can use mongrel_service to install Redmine as Window's service. Is there any methlod to slove the problem?

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by jessie wang about 11 years ago

The below is detailed output:

D:\QPMS\PHPnow\rails_apps\redmine>mongrel_rails service::install N RedMine -c D
:\QPMS\PHPnow\rails_apps\redmine -p 80 –e production
D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem
_original_require': no such file to load -
win32/service (LoadError)
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `require'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel_service-0.1/lib/
mongrel_service/init.rb:5
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `gem_original_require'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `require'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/gem_plugin-0.2.3/lib/gem
_plugin.rb:134:in `load'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb
:241:in `each'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb
:241:in `each'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/gem_plugin-0.2.3/lib/gem
_plugin.rb:112:in `load'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.2-x86-mswin3
2/bin/mongrel_rails:278
from D:/QPMS/PHPnow/ruby/bin/mongrel_rails:19:in `load'
from D:/QPMS/PHPnow/ruby/bin/mongrel_rails:19

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by jessie wang about 11 years ago

D:\QPMS\PHPnow\htdocs\redmine>mongrel_rails service::install -N RedMine -c D:\QP
MS\PHPnow\htdocs\redmine -p 80 –e production
D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/win32-service-0.7.0-x86-mswin32-60/li
b/win32/service.rb:282:in `initialize': no options provided (ArgumentError)
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel_service-0.3.3-x8
6-mswin32/lib/mongrel_service/init.rb:140:in `new'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel_service-0.3.3-x8
6-mswin32/lib/mongrel_service/init.rb:140:in `run'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin3
2-60/bin/../lib/mongrel/command.rb:212:in `run'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin3
2-60/bin/mongrel_rails:281
from D:/QPMS/PHPnow/ruby/bin/mongrel_rails:19:in `load'
from D:/QPMS/PHPnow/ruby/bin/mongrel_rails:19

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by jessie wang about 11 years ago

sorry! the below is yesterday's, not today's.

jessie wang wrote:

The below is detailed output:

D:QPMSPHPnow

ails_apps
edmine>mongrel_rails service::install -N RedMine -c D

:QPMSPHPnow

ails_apps
edmine -p 80 –e production

D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem
_original_require': no such file to load -- win32/service (LoadError)
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `require'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel_service-0.1/lib/
mongrel_service/init.rb:5
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `gem_original_require'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.
rb:31:in `require'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/gem_plugin-0.2.3/lib/gem
_plugin.rb:134:in `load'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb
:241:in `each'
from D:/QPMS/PHPnow/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb
:241:in `each'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/gem_plugin-0.2.3/lib/gem
_plugin.rb:112:in `load'
from D:/QPMS/PHPnow/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.2-x86-mswin3
2/bin/mongrel_rails:278
from D:/QPMS/PHPnow/ruby/bin/mongrel_rails:19:in `load'
from D:/QPMS/PHPnow/ruby/bin/mongrel_rails:19

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by jessie wang about 11 years ago

please refer to the link http://www.redmine.org/boards/1/topics/4123 to install Redmine as win2003/xp service by the Windows NT Resource Kit. but there is a difference, I change AppParameters of redmine in registry as below not as the link.

C:\RUBYAPP\script\server webrick -e production

the redmine service works untill now.

you can try as the above. But I think it is eariler that we use mongrel_service to install Redmine service.

RE: Using mongrel_rails: Can't install Redmine as win2003 service - Added by Michael Josephson almost 11 years ago

From this page, the service.rb:282:in `initialize': no options provided (ArgumentError) error can be resolved by using an older version of the win32-service gem. Try:


gem uninstall win32-service

gem install -v0.5.2 win32-service

-Michael

(1-9/9)